// display greet box when document is ready
jQuery(document).ready(function($){
  // set default referrer if none found
  var ref = "default";
  if(document.referrer){
    ref = document.referrer;
  }
  // send request
  $.ajax({
    type: "GET",
    url: "/wp-content/plugins/wp-greet-box/wp-greet-box.php",
    data: "data=xml&referrer="+ref+"&visit_delta="+wpgb_get_delta(ref),
    success: function(xml) {
      $("#greet_block").hide().html($("text", xml).text()).fadeIn("def");
      $("#greet_block_close").click(function(){
        $("#greet_block").fadeOut("def");
      });
    }
  });
  // set cookie
  wpgb_set_cookie("wpgb_visit_last-"+ref,new Date(),wpgb_cookie_exp);
});
