<?php require_once('wp-greet-box.php'); ?>
<script type="text/javascript">
  function confirm_reset() {
    var answer = confirm("All of your custom messages will also be reset.  Are you sure you want to reset all settings?");
    if(answer)
      return true;
    else
      return false;
  }
</script>
<form method="post">
  <fieldset>
    <h3>General Configurations</h3>
    <fieldset class="wpgb_fieldset wpgb_fieldset_alt">
    <p>
      <label for="rss-url">Your RSS feed URL. (in case you syndicate your feed via a 3rd party service)<br/>
      <input name="wpgb_options_general[rss_link]" id="rss-url" type="text" class="wpgreetbox-focusable widefat" value="<?php echo attribute_escape($rss_link); ?>"/></label>
    </p>
    <p>
      <label for="before-greet">HTML code to display before the greeting box.<br/>
      <textarea name="wpgb_options_general[before_greet]" id="before-greet" class="wpgreetbox-focusable widefat" rows="2"><?php echo attribute_escape($before_greet); ?></textarea></label>
    </p>
    <p>
      <label for="after-greet">HTML code to display after the greeting box.<br/>
      <textarea name="wpgb_options_general[after_greet]" id="after-greet" class="wpgreetbox-focusable widefat" rows="2"><?php echo attribute_escape($after_greet); ?></textarea></label>
    </p>
    <p>
      <label for="before-icon">HTML code to display before the image in the greeting box.<br/>
      <textarea name="wpgb_options_general[before_icon]" id="before-icon" class="wpgreetbox-focusable widefat" rows="2"><?php echo attribute_escape($before_icon); ?></textarea></label>
    </p>
    <p>
      <label for="after-icon">HTML code to display after the image in the greeting box.<br/>
      <textarea name="wpgb_options_general[after_icon]" id="after-icon" class="wpgreetbox-focusable widefat" rows="2"><?php echo attribute_escape($after_icon); ?></textarea></label>
    </p>
    <p>
      <label for="before-text">HTML code to display before the text in the greeting box.<br/>
      <textarea name="wpgb_options_general[before_text]" id="before-text" class="wpgreetbox-focusable widefat" rows="2"><?php echo attribute_escape($before_text); ?></textarea></label>
    </p>
    <p>
      <label for="after-text">HTML code to display after the text in the greeting box.<br/>
      <textarea name="wpgb_options_general[after_text]" id="after-text" class="wpgreetbox-focusable widefat" rows="2"><?php echo attribute_escape($after_text); ?></textarea></label>
    </p>
    <p>
      <label for="exclude-referrer">Visitors with referrer URLs match the following regular expression will not see the greet box (e.g. friendfeed\.com|google\.com/reader).<br/>
      <textarea name="wpgb_options_general[exclude_referrer]" id="exclude-referrer" class="wpgreetbox-focusable widefat" rows="2"><?php echo attribute_escape($exclude_referrer); ?></textarea></label>
    </p>
    </fieldset>
  </fieldset>
  <?php if ( function_exists( 'wp_nonce_field' ) ) wp_nonce_field( 'wpgb' ); ?>
  <p class="submit">
    <input type="submit" name="wpgb_options_general_submit" value="Update Options &#187;" />
    <input type="submit" name="wpgb_options_reset" value="Reset ALL Options &#187;" onclick="return confirm_reset()"/>
  </p>
</form>
